diff --git a/gcc/gimple.h b/gcc/gimple.h
index 1635ab5..173f1b4 100644
--- a/gcc/gimple.h
+++ b/gcc/gimple.h
@@ -2873,7 +2873,7 @@ gimple_cond_set_lhs (gimple gs, tree lhs)
 /* Return the RHS operand of the predicate computed by conditional GS.  */
 
 static inline tree
-gimple_cond_rhs (const_gimple gs)
+gimple_cond_rhs (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_COND);
   return gimple_op (gs, 1);
@@ -2883,7 +2883,7 @@ gimple_cond_rhs (const_gimple gs)
    conditional GS.  */
 
 static inline tree *
-gimple_cond_rhs_ptr (const_gimple gs)
+gimple_cond_rhs_ptr (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_COND);
   return gimple_op_ptr (gs, 1);
@@ -2894,7 +2894,7 @@ gimple_cond_rhs_ptr (const_gimple gs)
    conditional statement GS.  */
 
 static inline void
-gimple_cond_set_rhs (gimple gs, tree rhs)
+gimple_cond_set_rhs (gimple *gs, tree rhs)
 {
   GIMPLE_CHECK (gs, GIMPLE_COND);
   gimple_set_op (gs, 1, rhs);
@@ -2905,7 +2905,7 @@ gimple_cond_set_rhs (gimple gs, tree rhs)
    predicate evaluates to true.  */
 
 static inline tree
-gimple_cond_true_label (const_gimple gs)
+gimple_cond_true_label (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_COND);
   return gimple_op (gs, 2);
@@ -2916,7 +2916,7 @@ gimple_cond_true_label (const_gimple gs)
    predicate evaluates to true.  */
 
 static inline void
-gimple_cond_set_true_label (gimple gs, tree label)
+gimple_cond_set_true_label (gimple *gs, tree label)
 {
   GIMPLE_CHECK (gs, GIMPLE_COND);
   gimple_set_op (gs, 2, label);
@@ -2927,7 +2927,7 @@ gimple_cond_set_true_label (gimple gs, tree label)
    predicate evaluates to false.  */
 
 static inline void
-gimple_cond_set_false_label (gimple gs, tree label)
+gimple_cond_set_false_label (gimple *gs, tree label)
 {
   GIMPLE_CHECK (gs, GIMPLE_COND);
   gimple_set_op (gs, 3, label);
@@ -2938,7 +2938,7 @@ gimple_cond_set_false_label (gimple gs, tree label)
    predicate evaluates to false.  */
 
 static inline tree
-gimple_cond_false_label (const_gimple gs)
+gimple_cond_false_label (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_COND);
   return gimple_op (gs, 3);
@@ -2948,7 +2948,7 @@ gimple_cond_false_label (const_gimple gs)
 /* Set the conditional COND_STMT to be of the form 'if (1 == 0)'.  */
 
 static inline void
-gimple_cond_make_false (gimple gs)
+gimple_cond_make_false (gimple *gs)
 {
   gimple_cond_set_lhs (gs, boolean_true_node);
   gimple_cond_set_rhs (gs, boolean_false_node);
@@ -2959,7 +2959,7 @@ gimple_cond_make_false (gimple gs)
 /* Set the conditional COND_STMT to be of the form 'if (1 == 1)'.  */
 
 static inline void
-gimple_cond_make_true (gimple gs)
+gimple_cond_make_true (gimple *gs)
 {
   gimple_cond_set_lhs (gs, boolean_true_node);
   gimple_cond_set_rhs (gs, boolean_true_node);
@@ -2970,7 +2970,7 @@ gimple_cond_make_true (gimple gs)
   'if (0 == 0)', 'if (1 != 0)' or 'if (0 != 1)' */
 
 static inline bool
-gimple_cond_true_p (const_gimple gs)
+gimple_cond_true_p (const gimple *gs)
 {
   tree lhs = gimple_cond_lhs (gs);
   tree rhs = gimple_cond_rhs (gs);
@@ -2995,7 +2995,7 @@ gimple_cond_true_p (const_gimple gs)
    'if (0 != 0)', 'if (1 == 0)' or 'if (0 == 1)' */
 
 static inline bool
-gimple_cond_false_p (const_gimple gs)
+gimple_cond_false_p (const gimple *gs)
 {
   tree lhs = gimple_cond_lhs (gs);
   tree rhs = gimple_cond_rhs (gs);
@@ -3019,7 +3019,7 @@ gimple_cond_false_p (const_gimple gs)
 /* Set the code, LHS and RHS of GIMPLE_COND STMT from CODE, LHS and RHS.  */
 
 static inline void
-gimple_cond_set_condition (gimple stmt, enum tree_code code, tree lhs, tree rhs)
+gimple_cond_set_condition (gimple *stmt, enum tree_code code, tree lhs, tree rhs)
 {
   gimple_cond_set_code (stmt, code);
   gimple_cond_set_lhs (stmt, lhs);
@@ -3029,7 +3029,7 @@ gimple_cond_set_condition (gimple stmt, enum tree_code code, tree lhs, tree rhs)
 /* Return the LABEL_DECL node used by GIMPLE_LABEL statement GS.  */
 
 static inline tree
-gimple_label_label (const_gimple gs)
+gimple_label_label (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_LABEL);
   return gimple_op (gs, 0);
@@ -3040,7 +3040,7 @@ gimple_label_label (const_gimple gs)
    GS.  */
 
 static inline void
-gimple_label_set_label (gimple gs, tree label)
+gimple_label_set_label (gimple *gs, tree label)
 {
   GIMPLE_CHECK (gs, GIMPLE_LABEL);
   gimple_set_op (gs, 0, label);
@@ -3050,7 +3050,7 @@ gimple_label_set_label (gimple gs, tree label)
 /* Return the destination of the unconditional jump GS.  */
 
 static inline tree
-gimple_goto_dest (const_gimple gs)
+gimple_goto_dest (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_GOTO);
   return gimple_op (gs, 0);
@@ -3060,7 +3060,7 @@ gimple_goto_dest (const_gimple gs)
 /* Set DEST to be the destination of the unconditonal jump GS.  */
 
 static inline void
-gimple_goto_set_dest (gimple gs, tree dest)
+gimple_goto_set_dest (gimple *gs, tree dest)
 {
   GIMPLE_CHECK (gs, GIMPLE_GOTO);
   gimple_set_op (gs, 0, dest);
@@ -3070,7 +3070,7 @@ gimple_goto_set_dest (gimple gs, tree dest)
 /* Return the variables declared in the GIMPLE_BIND statement GS.  */
 
 static inline tree
-gimple_bind_vars (const_gimple gs)
+gimple_bind_vars (const gimple *gs)
 {
   const gbind *bind_stmt = as_a <const gbind *> (gs);
   return bind_stmt->vars;
@@ -3081,7 +3081,7 @@ gimple_bind_vars (const_gimple gs)
    statement GS.  */
 
 static inline void
-gimple_bind_set_vars (gimple gs, tree vars)
+gimple_bind_set_vars (gimple *gs, tree vars)
 {
   gbind *bind_stmt = as_a <gbind *> (gs);
   bind_stmt->vars = vars;
@@ -3092,7 +3092,7 @@ gimple_bind_set_vars (gimple gs, tree vars)
    statement GS.  */
 
 static inline void
-gimple_bind_append_vars (gimple gs, tree vars)
+gimple_bind_append_vars (gimple *gs, tree vars)
 {
   gbind *bind_stmt = as_a <gbind *> (gs);
   bind_stmt->vars = chainon (bind_stmt->vars, vars);
@@ -3100,7 +3100,7 @@ gimple_bind_append_vars (gimple gs, tree vars)
 
 
 static inline gimple_seq *
-gimple_bind_body_ptr (gimple gs)
+gimple_bind_body_ptr (gimple *gs)
 {
   gbind *bind_stmt = as_a <gbind *> (gs);
   return &bind_stmt->body;
@@ -3109,7 +3109,7 @@ gimple_bind_body_ptr (gimple gs)
 /* Return the GIMPLE sequence contained in the GIMPLE_BIND statement GS.  */
 
 static inline gimple_seq
-gimple_bind_body (gimple gs)
+gimple_bind_body (gimple *gs)
 {
   return *gimple_bind_body_ptr (gs);
 }
@@ -3119,7 +3119,7 @@ gimple_bind_body (gimple gs)
    statement GS.  */
 
 static inline void
-gimple_bind_set_body (gimple gs, gimple_seq seq)
+gimple_bind_set_body (gimple *gs, gimple_seq seq)
 {
   gbind *bind_stmt = as_a <gbind *> (gs);
   bind_stmt->body = seq;
@@ -3129,7 +3129,7 @@ gimple_bind_set_body (gimple gs, gimple_seq seq)
 /* Append a statement to the end of a GIMPLE_BIND's body.  */
 
 static inline void
-gimple_bind_add_stmt (gimple gs, gimple stmt)
+gimple_bind_add_stmt (gimple *gs, gimple *stmt)
 {
   gbind *bind_stmt = as_a <gbind *> (gs);
   gimple_seq_add_stmt (&bind_stmt->body, stmt);
@@ -3139,7 +3139,7 @@ gimple_bind_add_stmt (gimple gs, gimple stmt)
 /* Append a sequence of statements to the end of a GIMPLE_BIND's body.  */
 
 static inline void
-gimple_bind_add_seq (gimple gs, gimple_seq seq)
+gimple_bind_add_seq (gimple *gs, gimple_seq seq)
 {
   gbind *bind_stmt = as_a <gbind *> (gs);
   gimple_seq_add_seq (&bind_stmt->body, seq);
@@ -3150,7 +3150,7 @@ gimple_bind_add_seq (gimple gs, gimple_seq seq)
    GS.  This is analogous to the BIND_EXPR_BLOCK field in trees.  */
 
 static inline tree
-gimple_bind_block (const_gimple gs)
+gimple_bind_block (const gimple *gs)
 {
   const gbind *bind_stmt = as_a <const gbind *> (gs);
   return bind_stmt->block;
@@ -3161,7 +3161,7 @@ gimple_bind_block (const_gimple gs)
    statement GS.  */
 
 static inline void
-gimple_bind_set_block (gimple gs, tree block)
+gimple_bind_set_block (gimple *gs, tree block)
 {
   gbind *bind_stmt = as_a <gbind *> (gs);
   gcc_gimple_checking_assert (block == NULL_TREE
@@ -3173,7 +3173,7 @@ gimple_bind_set_block (gimple gs, tree block)
 /* Return the number of input operands for GIMPLE_ASM GS.  */
 
 static inline unsigned
-gimple_asm_ninputs (const_gimple gs)
+gimple_asm_ninputs (const gimple *gs)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   return asm_stmt->ni;
@@ -3183,7 +3183,7 @@ gimple_asm_ninputs (const_gimple gs)
 /* Return the number of output operands for GIMPLE_ASM GS.  */
 
 static inline unsigned
-gimple_asm_noutputs (const_gimple gs)
+gimple_asm_noutputs (const gimple *gs)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   return asm_stmt->no;
@@ -3193,7 +3193,7 @@ gimple_asm_noutputs (const_gimple gs)
 /* Return the number of clobber operands for GIMPLE_ASM GS.  */
 
 static inline unsigned
-gimple_asm_nclobbers (const_gimple gs)
+gimple_asm_nclobbers (const gimple *gs)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   return asm_stmt->nc;
@@ -3202,7 +3202,7 @@ gimple_asm_nclobbers (const_gimple gs)
 /* Return the number of label operands for GIMPLE_ASM GS.  */
 
 static inline unsigned
-gimple_asm_nlabels (const_gimple gs)
+gimple_asm_nlabels (const gimple *gs)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   return asm_stmt->nl;
@@ -3211,7 +3211,7 @@ gimple_asm_nlabels (const_gimple gs)
 /* Return input operand INDEX of GIMPLE_ASM GS.  */
 
 static inline tree
-gimple_asm_input_op (const_gimple gs, unsigned index)
+gimple_asm_input_op (const gimple *gs, unsigned index)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->ni);
@@ -3221,7 +3221,7 @@ gimple_asm_input_op (const_gimple gs, unsigned index)
 /* Return a pointer to input operand INDEX of GIMPLE_ASM GS.  */
 
 static inline tree *
-gimple_asm_input_op_ptr (const_gimple gs, unsigned index)
+gimple_asm_input_op_ptr (const gimple *gs, unsigned index)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->ni);
@@ -3232,7 +3232,7 @@ gimple_asm_input_op_ptr (const_gimple gs, unsigned index)
 /* Set IN_OP to be input operand INDEX in GIMPLE_ASM GS.  */
 
 static inline void
-gimple_asm_set_input_op (gimple gs, unsigned index, tree in_op)
+gimple_asm_set_input_op (gimple *gs, unsigned index, tree in_op)
 {
   gasm *asm_stmt = as_a <gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->ni
@@ -3244,7 +3244,7 @@ gimple_asm_set_input_op (gimple gs, unsigned index, tree in_op)
 /* Return output operand INDEX of GIMPLE_ASM GS.  */
 
 static inline tree
-gimple_asm_output_op (const_gimple gs, unsigned index)
+gimple_asm_output_op (const gimple *gs, unsigned index)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->no);
@@ -3254,7 +3254,7 @@ gimple_asm_output_op (const_gimple gs, unsigned index)
 /* Return a pointer to output operand INDEX of GIMPLE_ASM GS.  */
 
 static inline tree *
-gimple_asm_output_op_ptr (const_gimple gs, unsigned index)
+gimple_asm_output_op_ptr (const gimple *gs, unsigned index)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->no);
@@ -3265,7 +3265,7 @@ gimple_asm_output_op_ptr (const_gimple gs, unsigned index)
 /* Set OUT_OP to be output operand INDEX in GIMPLE_ASM GS.  */
 
 static inline void
-gimple_asm_set_output_op (gimple gs, unsigned index, tree out_op)
+gimple_asm_set_output_op (gimple *gs, unsigned index, tree out_op)
 {
   gasm *asm_stmt = as_a <gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->no
@@ -3277,7 +3277,7 @@ gimple_asm_set_output_op (gimple gs, unsigned index, tree out_op)
 /* Return clobber operand INDEX of GIMPLE_ASM GS.  */
 
 static inline tree
-gimple_asm_clobber_op (const_gimple gs, unsigned index)
+gimple_asm_clobber_op (const gimple *gs, unsigned index)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->nc);
@@ -3288,7 +3288,7 @@ gimple_asm_clobber_op (const_gimple gs, unsigned index)
 /* Set CLOBBER_OP to be clobber operand INDEX in GIMPLE_ASM GS.  */
 
 static inline void
-gimple_asm_set_clobber_op (gimple gs, unsigned index, tree clobber_op)
+gimple_asm_set_clobber_op (gimple *gs, unsigned index, tree clobber_op)
 {
   gasm *asm_stmt = as_a <gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->nc
@@ -3299,7 +3299,7 @@ gimple_asm_set_clobber_op (gimple gs, unsigned index, tree clobber_op)
 /* Return label operand INDEX of GIMPLE_ASM GS.  */
 
 static inline tree
-gimple_asm_label_op (const_gimple gs, unsigned index)
+gimple_asm_label_op (const gimple *gs, unsigned index)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->nl);
@@ -3309,7 +3309,7 @@ gimple_asm_label_op (const_gimple gs, unsigned index)
 /* Set LABEL_OP to be label operand INDEX in GIMPLE_ASM GS.  */
 
 static inline void
-gimple_asm_set_label_op (gimple gs, unsigned index, tree label_op)
+gimple_asm_set_label_op (gimple *gs, unsigned index, tree label_op)
 {
   gasm *asm_stmt = as_a <gasm *> (gs);
   gcc_gimple_checking_assert (index < asm_stmt->nl
@@ -3321,7 +3321,7 @@ gimple_asm_set_label_op (gimple gs, unsigned index, tree label_op)
    GIMPLE_ASM GS.  */
 
 static inline const char *
-gimple_asm_string (const_gimple gs)
+gimple_asm_string (const gimple *gs)
 {
   const gasm *asm_stmt = as_a <const gasm *> (gs);
   return asm_stmt->string;
@@ -3331,7 +3331,7 @@ gimple_asm_string (const_gimple gs)
 /* Return true if GS is an asm statement marked volatile.  */
 
 static inline bool
-gimple_asm_volatile_p (const_gimple gs)
+gimple_asm_volatile_p (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_ASM);
   return (gs->subcode & GF_ASM_VOLATILE) != 0;
@@ -3341,7 +3341,7 @@ gimple_asm_volatile_p (const_gimple gs)
 /* If VOLATLE_P is true, mark asm statement GS as volatile.  */
 
 static inline void
-gimple_asm_set_volatile (gimple gs, bool volatile_p)
+gimple_asm_set_volatile (gimple *gs, bool volatile_p)
 {
   GIMPLE_CHECK (gs, GIMPLE_ASM);
   if (volatile_p)
@@ -3354,7 +3354,7 @@ gimple_asm_set_volatile (gimple gs, bool volatile_p)
 /* If INPUT_P is true, mark asm GS as an ASM_INPUT.  */
 
 static inline void
-gimple_asm_set_input (gimple gs, bool input_p)
+gimple_asm_set_input (gimple *gs, bool input_p)
 {
   GIMPLE_CHECK (gs, GIMPLE_ASM);
   if (input_p)
@@ -3367,7 +3367,7 @@ gimple_asm_set_input (gimple gs, bool input_p)
 /* Return true if asm GS is an ASM_INPUT.  */
 
 static inline bool
-gimple_asm_input_p (const_gimple gs)
+gimple_asm_input_p (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_ASM);
   return (gs->subcode & GF_ASM_INPUT) != 0;
@@ -3377,7 +3377,7 @@ gimple_asm_input_p (const_gimple gs)
 /* Return the types handled by GIMPLE_CATCH statement GS.  */
 
 static inline tree
-gimple_catch_types (const_gimple gs)
+gimple_catch_types (const gimple *gs)
 {
   const gcatch *catch_stmt = as_a <const gcatch *> (gs);
   return catch_stmt->types;
@@ -3387,7 +3387,7 @@ gimple_catch_types (const_gimple gs)
 /* Return a pointer to the types handled by GIMPLE_CATCH statement GS.  */
 
 static inline tree *
-gimple_catch_types_ptr (gimple gs)
+gimple_catch_types_ptr (gimple *gs)
 {
   gcatch *catch_stmt = as_a <gcatch *> (gs);
   return &catch_stmt->types;
@@ -3398,7 +3398,7 @@ gimple_catch_types_ptr (gimple gs)
    the handler of GIMPLE_CATCH statement GS.  */
 
 static inline gimple_seq *
-gimple_catch_handler_ptr (gimple gs)
+gimple_catch_handler_ptr (gimple *gs)
 {
   gcatch *catch_stmt = as_a <gcatch *> (gs);
   return &catch_stmt->handler;
@@ -3409,7 +3409,7 @@ gimple_catch_handler_ptr (gimple gs)
    GIMPLE_CATCH statement GS.  */
 
 static inline gimple_seq
-gimple_catch_handler (gimple gs)
+gimple_catch_handler (gimple *gs)
 {
   return *gimple_catch_handler_ptr (gs);
 }
@@ -3418,7 +3418,7 @@ gimple_catch_handler (gimple gs)
 /* Set T to be the set of types handled by GIMPLE_CATCH GS.  */
 
 static inline void
-gimple_catch_set_types (gimple gs, tree t)
+gimple_catch_set_types (gimple *gs, tree t)
 {
   gcatch *catch_stmt = as_a <gcatch *> (gs);
   catch_stmt->types = t;
@@ -3428,7 +3428,7 @@ gimple_catch_set_types (gimple gs, tree t)
 /* Set HANDLER to be the body of GIMPLE_CATCH GS.  */
 
 static inline void
-gimple_catch_set_handler (gimple gs, gimple_seq handler)
+gimple_catch_set_handler (gimple *gs, gimple_seq handler)
 {
   gcatch *catch_stmt = as_a <gcatch *> (gs);
   catch_stmt->handler = handler;
@@ -3438,7 +3438,7 @@ gimple_catch_set_handler (gimple gs, gimple_seq handler)
 /* Return the types handled by GIMPLE_EH_FILTER statement GS.  */
 
 static inline tree
-gimple_eh_filter_types (const_gimple gs)
+gimple_eh_filter_types (const gimple *gs)
 {
   const geh_filter *eh_filter_stmt = as_a <const geh_filter *> (gs);
   return eh_filter_stmt->types;
@@ -3449,7 +3449,7 @@ gimple_eh_filter_types (const_gimple gs)
    GS.  */
 
 static inline tree *
-gimple_eh_filter_types_ptr (gimple gs)
+gimple_eh_filter_types_ptr (gimple *gs)
 {
   geh_filter *eh_filter_stmt = as_a <geh_filter *> (gs);
   return &eh_filter_stmt->types;
@@ -3460,7 +3460,7 @@ gimple_eh_filter_types_ptr (gimple gs)
    GIMPLE_EH_FILTER statement fails.  */
 
 static inline gimple_seq *
-gimple_eh_filter_failure_ptr (gimple gs)
+gimple_eh_filter_failure_ptr (gimple *gs)
 {
   geh_filter *eh_filter_stmt = as_a <geh_filter *> (gs);
   return &eh_filter_stmt->failure;
@@ -3471,7 +3471,7 @@ gimple_eh_filter_failure_ptr (gimple gs)
    statement fails.  */
 
 static inline gimple_seq
-gimple_eh_filter_failure (gimple gs)
+gimple_eh_filter_failure (gimple *gs)
 {
   return *gimple_eh_filter_failure_ptr (gs);
 }
@@ -3480,7 +3480,7 @@ gimple_eh_filter_failure (gimple gs)
 /* Set TYPES to be the set of types handled by GIMPLE_EH_FILTER GS.  */
 
 static inline void
-gimple_eh_filter_set_types (gimple gs, tree types)
+gimple_eh_filter_set_types (gimple *gs, tree types)
 {
   geh_filter *eh_filter_stmt = as_a <geh_filter *> (gs);
   eh_filter_stmt->types = types;
@@ -3491,7 +3491,7 @@ gimple_eh_filter_set_types (gimple gs, tree types)
    for GIMPLE_EH_FILTER GS.  */
 
 static inline void
-gimple_eh_filter_set_failure (gimple gs, gimple_seq failure)
+gimple_eh_filter_set_failure (gimple *gs, gimple_seq failure)
 {
   geh_filter *eh_filter_stmt = as_a <geh_filter *> (gs);
   eh_filter_stmt->failure = failure;
@@ -3500,7 +3500,7 @@ gimple_eh_filter_set_failure (gimple gs, gimple_seq failure)
 /* Get the function decl to be called by the MUST_NOT_THROW region.  */
 
 static inline tree
-gimple_eh_must_not_throw_fndecl (gimple gs)
+gimple_eh_must_not_throw_fndecl (gimple *gs)
 {
   geh_mnt *eh_mnt_stmt = as_a <geh_mnt *> (gs);
   return eh_mnt_stmt->fndecl;
@@ -3509,7 +3509,7 @@ gimple_eh_must_not_throw_fndecl (gimple gs)
 /* Set the function decl to be called by GS to DECL.  */
 
 static inline void
-gimple_eh_must_not_throw_set_fndecl (gimple gs, tree decl)
+gimple_eh_must_not_throw_set_fndecl (gimple *gs, tree decl)
 {
   geh_mnt *eh_mnt_stmt = as_a <geh_mnt *> (gs);
   eh_mnt_stmt->fndecl = decl;
@@ -3518,40 +3518,40 @@ gimple_eh_must_not_throw_set_fndecl (gimple gs, tree decl)
 /* GIMPLE_EH_ELSE accessors.  */
 
 static inline gimple_seq *
-gimple_eh_else_n_body_ptr (gimple gs)
+gimple_eh_else_n_body_ptr (gimple *gs)
 {
   geh_else *eh_else_stmt = as_a <geh_else *> (gs);
   return &eh_else_stmt->n_body;
 }
 
 static inline gimple_seq
-gimple_eh_else_n_body (gimple gs)
+gimple_eh_else_n_body (gimple *gs)
 {
   return *gimple_eh_else_n_body_ptr (gs);
 }
 
 static inline gimple_seq *
-gimple_eh_else_e_body_ptr (gimple gs)
+gimple_eh_else_e_body_ptr (gimple *gs)
 {
   geh_else *eh_else_stmt = as_a <geh_else *> (gs);
   return &eh_else_stmt->e_body;
 }
 
 static inline gimple_seq
-gimple_eh_else_e_body (gimple gs)
+gimple_eh_else_e_body (gimple *gs)
 {
   return *gimple_eh_else_e_body_ptr (gs);
 }
 
 static inline void
-gimple_eh_else_set_n_body (gimple gs, gimple_seq seq)
+gimple_eh_else_set_n_body (gimple *gs, gimple_seq seq)
 {
   geh_else *eh_else_stmt = as_a <geh_else *> (gs);
   eh_else_stmt->n_body = seq;
 }
 
 static inline void
-gimple_eh_else_set_e_body (gimple gs, gimple_seq seq)
+gimple_eh_else_set_e_body (gimple *gs, gimple_seq seq)
 {
   geh_else *eh_else_stmt = as_a <geh_else *> (gs);
   eh_else_stmt->e_body = seq;
@@ -3563,7 +3563,7 @@ gimple_eh_else_set_e_body (gimple gs, gimple_seq seq)
    either GIMPLE_TRY_CATCH or GIMPLE_TRY_FINALLY.  */
 
 static inline enum gimple_try_flags
-gimple_try_kind (const_gimple gs)
+gimple_try_kind (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_TRY);
   return (enum gimple_try_flags) (gs->subcode & GIMPLE_TRY_KIND);
@@ -3573,7 +3573,7 @@ gimple_try_kind (const_gimple gs)
 /* Set the kind of try block represented by GIMPLE_TRY GS.  */
 
 static inline void
-gimple_try_set_kind (gimple gs, enum gimple_try_flags kind)
+gimple_try_set_kind (gimple *gs, enum gimple_try_flags kind)
 {
   GIMPLE_CHECK (gs, GIMPLE_TRY);
   gcc_gimple_checking_assert (kind == GIMPLE_TRY_CATCH
@@ -3586,7 +3586,7 @@ gimple_try_set_kind (gimple gs, enum gimple_try_flags kind)
 /* Return the GIMPLE_TRY_CATCH_IS_CLEANUP flag.  */
 
 static inline bool
-gimple_try_catch_is_cleanup (const_gimple gs)
+gimple_try_catch_is_cleanup (const gimple *gs)
 {
   gcc_gimple_checking_assert (gimple_try_kind (gs) == GIMPLE_TRY_CATCH);
   return (gs->subcode & GIMPLE_TRY_CATCH_IS_CLEANUP) != 0;
@@ -3597,7 +3597,7 @@ gimple_try_catch_is_cleanup (const_gimple gs)
    body for GIMPLE_TRY GS.  */
 
 static inline gimple_seq *
-gimple_try_eval_ptr (gimple gs)
+gimple_try_eval_ptr (gimple *gs)
 {
   gtry *try_stmt = as_a <gtry *> (gs);
   return &try_stmt->eval;
@@ -3607,7 +3607,7 @@ gimple_try_eval_ptr (gimple gs)
 /* Return the sequence of statements used as the body for GIMPLE_TRY GS.  */
 
 static inline gimple_seq
-gimple_try_eval (gimple gs)
+gimple_try_eval (gimple *gs)
 {
   return *gimple_try_eval_ptr (gs);
 }
@@ -3617,7 +3617,7 @@ gimple_try_eval (gimple gs)
    GIMPLE_TRY GS.  */
 
 static inline gimple_seq *
-gimple_try_cleanup_ptr (gimple gs)
+gimple_try_cleanup_ptr (gimple *gs)
 {
   gtry *try_stmt = as_a <gtry *> (gs);
   return &try_stmt->cleanup;
@@ -3628,7 +3628,7 @@ gimple_try_cleanup_ptr (gimple gs)
    GIMPLE_TRY GS.  */
 
 static inline gimple_seq
-gimple_try_cleanup (gimple gs)
+gimple_try_cleanup (gimple *gs)
 {
   return *gimple_try_cleanup_ptr (gs);
 }
@@ -3637,7 +3637,7 @@ gimple_try_cleanup (gimple gs)
 /* Set the GIMPLE_TRY_CATCH_IS_CLEANUP flag.  */
 
 static inline void
-gimple_try_set_catch_is_cleanup (gimple g, bool catch_is_cleanup)
+gimple_try_set_catch_is_cleanup (gimple *g, bool catch_is_cleanup)
 {
   gcc_gimple_checking_assert (gimple_try_kind (g) == GIMPLE_TRY_CATCH);
   if (catch_is_cleanup)
@@ -3651,7 +3651,7 @@ gimple_try_set_catch_is_cleanup (gimple g, bool catch_is_cleanup)
    GIMPLE_TRY GS.  */
 
 static inline void
-gimple_try_set_eval (gimple gs, gimple_seq eval)
+gimple_try_set_eval (gimple *gs, gimple_seq eval)
 {
   gtry *try_stmt = as_a <gtry *> (gs);
   try_stmt->eval = eval;
@@ -3662,7 +3662,7 @@ gimple_try_set_eval (gimple gs, gimple_seq eval)
    body for GIMPLE_TRY GS.  */
 
 static inline void
-gimple_try_set_cleanup (gimple gs, gimple_seq cleanup)
+gimple_try_set_cleanup (gimple *gs, gimple_seq cleanup)
 {
   gtry *try_stmt = as_a <gtry *> (gs);
   try_stmt->cleanup = cleanup;
@@ -3672,7 +3672,7 @@ gimple_try_set_cleanup (gimple gs, gimple_seq cleanup)
 /* Return a pointer to the cleanup sequence for cleanup statement GS.  */
 
 static inline gimple_seq *
-gimple_wce_cleanup_ptr (gimple gs)
+gimple_wce_cleanup_ptr (gimple *gs)
 {
   gwce *wce_stmt = as_a <gwce *> (gs);
   return &wce_stmt->cleanup;
@@ -3682,7 +3682,7 @@ gimple_wce_cleanup_ptr (gimple gs)
 /* Return the cleanup sequence for cleanup statement GS.  */
 
 static inline gimple_seq
-gimple_wce_cleanup (gimple gs)
+gimple_wce_cleanup (gimple *gs)
 {
   return *gimple_wce_cleanup_ptr (gs);
 }
@@ -3691,7 +3691,7 @@ gimple_wce_cleanup (gimple gs)
 /* Set CLEANUP to be the cleanup sequence for GS.  */
 
 static inline void
-gimple_wce_set_cleanup (gimple gs, gimple_seq cleanup)
+gimple_wce_set_cleanup (gimple *gs, gimple_seq cleanup)
 {
   gwce *wce_stmt = as_a <gwce *> (gs);
   wce_stmt->cleanup = cleanup;
@@ -3701,7 +3701,7 @@ gimple_wce_set_cleanup (gimple gs, gimple_seq cleanup)
 /* Return the CLEANUP_EH_ONLY flag for a WCE tuple.  */
 
 static inline bool
-gimple_wce_cleanup_eh_only (const_gimple gs)
+gimple_wce_cleanup_eh_only (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_WITH_CLEANUP_EXPR);
   return gs->subcode != 0;
@@ -3711,7 +3711,7 @@ gimple_wce_cleanup_eh_only (const_gimple gs)
 /* Set the CLEANUP_EH_ONLY flag for a WCE tuple.  */
 
 static inline void
-gimple_wce_set_cleanup_eh_only (gimple gs, bool eh_only_p)
+gimple_wce_set_cleanup_eh_only (gimple *gs, bool eh_only_p)
 {
   GIMPLE_CHECK (gs, GIMPLE_WITH_CLEANUP_EXPR);
   gs->subcode = (unsigned int) eh_only_p;
@@ -3721,7 +3721,7 @@ gimple_wce_set_cleanup_eh_only (gimple gs, bool eh_only_p)
 /* Return the maximum number of arguments supported by GIMPLE_PHI GS.  */
 
 static inline unsigned
-gimple_phi_capacity (const_gimple gs)
+gimple_phi_capacity (const gimple *gs)
 {
   const gphi *phi_stmt = as_a <const gphi *> (gs);
   return phi_stmt->capacity;
@@ -3733,7 +3733,7 @@ gimple_phi_capacity (const_gimple gs)
    GS.  */
 
 static inline unsigned
-gimple_phi_num_args (const_gimple gs)
+gimple_phi_num_args (const gimple *gs)
 {
   const gphi *phi_stmt = as_a <const gphi *> (gs);
   return phi_stmt->nargs;
@@ -3743,7 +3743,7 @@ gimple_phi_num_args (const_gimple gs)
 /* Return the SSA name created by GIMPLE_PHI GS.  */
 
 static inline tree
-gimple_phi_result (const_gimple gs)
+gimple_phi_result (const gimple *gs)
 {
   const gphi *phi_stmt = as_a <const gphi *> (gs);
   return phi_stmt->result;
@@ -3752,7 +3752,7 @@ gimple_phi_result (const_gimple gs)
 /* Return a pointer to the SSA name created by GIMPLE_PHI GS.  */
 
 static inline tree *
-gimple_phi_result_ptr (gimple gs)
+gimple_phi_result_ptr (gimple *gs)
 {
   gphi *phi_stmt = as_a <gphi *> (gs);
   return &phi_stmt->result;
@@ -3761,7 +3761,7 @@ gimple_phi_result_ptr (gimple gs)
 /* Set RESULT to be the SSA name created by GIMPLE_PHI GS.  */
 
 static inline void
-gimple_phi_set_result (gimple gs, tree result)
+gimple_phi_set_result (gimple *gs, tree result)
 {
   gphi *phi_stmt = as_a <gphi *> (gs);
   phi_stmt->result = result;
@@ -3774,7 +3774,7 @@ gimple_phi_set_result (gimple gs, tree result)
    GIMPLE_PHI GS.  */
 
 static inline struct phi_arg_d *
-gimple_phi_arg (gimple gs, unsigned index)
+gimple_phi_arg (gimple *gs, unsigned index)
 {
   gphi *phi_stmt = as_a <gphi *> (gs);
   gcc_gimple_checking_assert (index <= phi_stmt->capacity);
@@ -3785,7 +3785,7 @@ gimple_phi_arg (gimple gs, unsigned index)
    for GIMPLE_PHI GS.  */
 
 static inline void
-gimple_phi_set_arg (gimple gs, unsigned index, struct phi_arg_d * phiarg)
+gimple_phi_set_arg (gimple *gs, unsigned index, struct phi_arg_d * phiarg)
 {
   gphi *phi_stmt = as_a <gphi *> (gs);
   gcc_gimple_checking_assert (index <= phi_stmt->nargs);
@@ -3814,7 +3814,7 @@ phi_nodes_ptr (basic_block bb)
 /* Return the tree operand for argument I of PHI node GS.  */
 
 static inline tree
-gimple_phi_arg_def (gimple gs, size_t index)
+gimple_phi_arg_def (gimple *gs, size_t index)
 {
   return gimple_phi_arg (gs, index)->def;
 }
@@ -3823,7 +3823,7 @@ gimple_phi_arg_def (gimple gs, size_t index)
 /* Return a pointer to the tree operand for argument I of PHI node GS.  */
 
 static inline tree *
-gimple_phi_arg_def_ptr (gimple gs, size_t index)
+gimple_phi_arg_def_ptr (gimple *gs, size_t index)
 {
   return &gimple_phi_arg (gs, index)->def;
 }
@@ -3831,7 +3831,7 @@ gimple_phi_arg_def_ptr (gimple gs, size_t index)
 /* Return the edge associated with argument I of phi node GS.  */
 
 static inline edge
-gimple_phi_arg_edge (gimple gs, size_t i)
+gimple_phi_arg_edge (gimple *gs, size_t i)
 {
   return EDGE_PRED (gimple_bb (gs), i);
 }
@@ -3839,7 +3839,7 @@ gimple_phi_arg_edge (gimple gs, size_t i)
 /* Return the source location of gimple argument I of phi node GS.  */
 
 static inline source_location
-gimple_phi_arg_location (gimple gs, size_t i)
+gimple_phi_arg_location (gimple *gs, size_t i)
 {
   return gimple_phi_arg (gs, i)->locus;
 }
@@ -3847,7 +3847,7 @@ gimple_phi_arg_location (gimple gs, size_t i)
 /* Return the source location of the argument on edge E of phi node GS.  */
 
 static inline source_location
-gimple_phi_arg_location_from_edge (gimple gs, edge e)
+gimple_phi_arg_location_from_edge (gimple *gs, edge e)
 {
   return gimple_phi_arg (gs, e->dest_idx)->locus;
 }
@@ -3855,7 +3855,7 @@ gimple_phi_arg_location_from_edge (gimple gs, edge e)
 /* Set the source location of gimple argument I of phi node GS to LOC.  */
 
 static inline void
-gimple_phi_arg_set_location (gimple gs, size_t i, source_location loc)
+gimple_phi_arg_set_location (gimple *gs, size_t i, source_location loc)
 {
   gimple_phi_arg (gs, i)->locus = loc;
 }
@@ -3863,7 +3863,7 @@ gimple_phi_arg_set_location (gimple gs, size_t i, source_location loc)
 /* Return TRUE if argument I of phi node GS has a location record.  */
 
 static inline bool
-gimple_phi_arg_has_location (gimple gs, size_t i)
+gimple_phi_arg_has_location (gimple *gs, size_t i)
 {
   return gimple_phi_arg_location (gs, i) != UNKNOWN_LOCATION;
 }
@@ -3872,7 +3872,7 @@ gimple_phi_arg_has_location (gimple gs, size_t i)
 /* Return the region number for GIMPLE_RESX GS.  */
 
 static inline int
-gimple_resx_region (const_gimple gs)
+gimple_resx_region (const gimple *gs)
 {
   const gresx *resx_stmt = as_a <const gresx *> (gs);
   return resx_stmt->region;
@@ -3881,7 +3881,7 @@ gimple_resx_region (const_gimple gs)
 /* Set REGION to be the region number for GIMPLE_RESX GS.  */
 
 static inline void
-gimple_resx_set_region (gimple gs, int region)
+gimple_resx_set_region (gimple *gs, int region)
 {
   gresx *resx_stmt = as_a <gresx *> (gs);
   resx_stmt->region = region;
@@ -3890,7 +3890,7 @@ gimple_resx_set_region (gimple gs, int region)
 /* Return the region number for GIMPLE_EH_DISPATCH GS.  */
 
 static inline int
-gimple_eh_dispatch_region (const_gimple gs)
+gimple_eh_dispatch_region (const gimple *gs)
 {
   const geh_dispatch *eh_dispatch_stmt = as_a <const geh_dispatch *> (gs);
   return eh_dispatch_stmt->region;
@@ -3899,7 +3899,7 @@ gimple_eh_dispatch_region (const_gimple gs)
 /* Set REGION to be the region number for GIMPLE_EH_DISPATCH GS.  */
 
 static inline void
-gimple_eh_dispatch_set_region (gimple gs, int region)
+gimple_eh_dispatch_set_region (gimple *gs, int region)
 {
   geh_dispatch *eh_dispatch_stmt = as_a <geh_dispatch *> (gs);
   eh_dispatch_stmt->region = region;
@@ -3908,7 +3908,7 @@ gimple_eh_dispatch_set_region (gimple gs, int region)
 /* Return the number of labels associated with the switch statement GS.  */
 
 static inline unsigned
-gimple_switch_num_labels (const_gimple gs)
+gimple_switch_num_labels (const gimple *gs)
 {
   unsigned num_ops;
   GIMPLE_CHECK (gs, GIMPLE_SWITCH);
@@ -3921,7 +3921,7 @@ gimple_switch_num_labels (const_gimple gs)
 /* Set NLABELS to be the number of labels for the switch statement GS.  */
 
 static inline void
-gimple_switch_set_num_labels (gimple g, unsigned nlabels)
+gimple_switch_set_num_labels (gimple *g, unsigned nlabels)
 {
   GIMPLE_CHECK (g, GIMPLE_SWITCH);
   gimple_set_num_ops (g, nlabels + 1);
@@ -3931,7 +3931,7 @@ gimple_switch_set_num_labels (gimple g, unsigned nlabels)
 /* Return the index variable used by the switch statement GS.  */
 
 static inline tree
-gimple_switch_index (const_gimple gs)
+gimple_switch_index (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_SWITCH);
   return gimple_op (gs, 0);
